---
# call: DEPLOY_USER=$USER ansible-playbook -i $IP_ADDRESS, new_laptop.yml
- hosts: all
  roles:
  - load_users
  tasks:
  - name: load user specified by DEPLOY_USER environment variable
    set_fact:
      user: "{{ users[lookup('env', 'DEPLOY_USER')] }}"
    changed_when: False

  - debug:
      msg: "loaded user {{ user }}"
